import 'package:flutter_test/flutter_test.dart';
import 'package:healthrian_ble_support_for_wearcardiot/'
    'healthrian_ble_support_for_wearcardiot.dart';

void main() {
  group('commands test', () {
    test('commands validation: start ecg', () {
      expect(Commands.packetReadEcg, [
        0x48,
        0x52,
        0x01,
        0x11,
        0xe3,
        0xe0,
      ]);
    });

    test('commands validation: start pulse oxi', () {
      expect(Commands.packetReadOxi, [
        0x48,
        0x52,
        0x01,
        0x20,
        0xc5,
        0x92,
      ]);
    });

    test('commands validation: stop ecg', () {
      expect(Commands.packetStopEcg, [
        0x48,
        0x52,
        0x01,
        0x81,
        0x60,
        0x59,
      ]);
    });

    test('commands validation: stop pulse oxi', () {
      expect(Commands.packetStopOxi, [
        0x48,
        0x52,
        0x01,
        0x90,
        0x62,
        0x49,
      ]);
    });

    // test('commands validation: firm update', () {
    // });
  });
}
